You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     sbr...@freebsd.org
Last committer: sbr...@freebsd.org
Ident:          $FreeBSD: branches/2016Q4/emulators/qemu-user-static/Makefile 
409112 2016-02-18 16:30:29Z sbruno $
Log URL:        
http://beefy4.nyi.freebsd.org/data/93amd64-quarterly/427426/logs/qemu-user-static-2.6.90.g20160728.log
Build URL:      
http://beefy4.nyi.freebsd.org/build.html?mastername=93amd64-quarterly&build=427426
Log:

====>> Building emulators/qemu-user-static
build started at Thu Dec  1 07:01:41 UTC 2016
port directory: /usr/ports/emulators/qemu-user-static
building for: FreeBSD 93amd64-quarterly-job-05 9.3-RELEASE-p50 FreeBSD 
9.3-RELEASE-p50 amd64
maintained by: sbr...@freebsd.org
Makefile ident:      $FreeBSD: 
branches/2016Q4/emulators/qemu-user-static/Makefile 409112 2016-02-18 16:30:29Z 
sbruno $
Poudriere version: 3.1.14
Host OSVERSION: 1200010
Jail OSVERSION: 903000
Job Id: 05

---Begin Environment---
SHELL=/bin/csh
UNAME_v=FreeBSD 9.3-RELEASE-p50
UNAME_r=9.3-RELEASE-p50
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
ARCH=amd64
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/93amd64-quarterly/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=qemu-user-static-2.6.90.g20160728
OSREL=9.3
_OSRELEASE=9.3-RELEASE-p50
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/93amd64-quarterly/ref/.p/pool
HAVE_COMPAT_IA32_KERN=YES OPSYS=FreeBSD
MASTERNAME=93amd64-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.14
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=903000
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--localstatedir=/var --extra-ldflags=-L\"/usr/local/lib\" --disable-libssh2 
--target-list=i386-bsd-user,x86_64-bsd-user,sparc-bsd-user,sparc64-bsd-user,arm-bsd-user,mips-bsd-user,mipsel-bsd-user,mips64-bsd-user,mips64el-bsd-user,ppc-bsd-user,ppc64-bsd-user,aarch64-bsd-user
 --prefix=/usr/local --cc=cc --enable-docs  --disable-linux-user 
--disable-linux-aio  --disable-kvm --disable-xen  --smbd=/usr/local/sbin/smbd  
--enable-debug  --enable-debug-info  
--extra-cflags=-I/wrkdirs/usr/ports/emulators/qemu-user-static/work/qemu-bsd-user-c47c4e2\
 -I/usr/local/include\ -DPREFIX=\\\"\"/usr/local\\\"\" --disable-sdl 
--disable-gtk --disable-vte --disable-vnc-sasl --disable-vnc-jpeg 
--disable-vnc-png --disable-curl --disable-opengl --disable-usb-redir 
--disable-pcap --static --python=/usr/local/bin/python2.7
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake PKG_CONFIG=pkgconf ac_cv_path_PERL=/usr/local/bin/perl 
ac_cv_path_PERL_PATH=/usr/local/bin/perl PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/emulators/qemu-user-static/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/emulators/qemu-user-static/work  
HOME=/wrkdirs/usr/ports/emulators/qemu-user-static/work TMPDIR="/tmp" 
SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
BSD_MAKE="/usr/bin/make" 
XDG_DATA_HOME=/wrkdirs/usr/ports/emulators/qemu-user-static/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/emulators/qemu-user-static/work  
HOME=/wrkdirs/usr/ports/emulators/qemu-user-static/work TMPDIR="/tmp" 
NO_PIE=yes WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh 
NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" 
CFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 
-pipe -fstack-protector -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
BSD_USER=""
BSD_USER64=""
NONX86="@comment
"
SOFTMMU="@comment
"
STATIC="-static"
GTK2="@comment
"
PYTHON_INCLUDEDIR=include/python2.7
PYTHON_LIBDIR=lib/python2.7
PYTHON_PLATFORM=freebsd9
PYTHON_SITELIBDIR=lib/python2.7/site-packages
PYTHON_VER=2.7
PYTHON_VERSION=python2.7
OSREL=9.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS="@comment
"
PORTEXAMPLES=""
LIB32DIR=lib
PERL_VERSION=5.20.3
PERL_VER=5.20
PERL5_MAN1=lib/perl5/site_perl/man/man1
PERL5_MAN3=lib/perl5/site_perl/man/man3
SITE_PERL=lib/perl5/site_perl
SITE_ARCH=lib/perl5/site_perl/mach/5.20
DOCSDIR="share/doc/qemu"
EXAMPLESDIR="share/examples/qemu"
DATADIR="share/qemu"
WWWDIR="www/qemu"
ETCDIR="etc/qemu"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/qemu
DOCSDIR=/usr/local/share/doc/qemu
EXAMPLESDIR=/usr/local/share/examples/qemu
WWWDIR=/usr/local/www/qemu
ETCDIR=/usr/local/etc/qemu
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   qemu-user-static-2.6.90.g20160728 depends on file: /usr/local/sbin/pkg - 
not found
===>   Installing existing package /packages/All/pkg-1.8.8.txz
[93amd64-quarterly-job-05] Installing pkg-1.8.8...
[93amd64-quarterly-job-05] Extracting pkg-1.8.8: .......... done
===>   qemu-user-static-2.6.90.g20160728 depends on file: /usr/local/sbin/pkg - 
found
===>   Returning to build of qemu-user-static-2.6.90.g20160728
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by qemu-user-static-2.6.90.g20160728 for 
building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by qemu-user-static-2.6.90.g20160728 for 
building
=> SHA256 Checksum OK for 
qemu/2.6.90.g20160728/seanbruno-qemu-bsd-user-2.6.90.g20160728-c47c4e2_GH0.tar.gz.
=> SHA256 Checksum OK for qemu/2.6.90.g20160728/dtc-v1.4.0.tar.gz.
=> SHA256 Checksum OK for 
qemu/2.6.90.g20160728/seanbruno-qemu-bsd-user-2.6.90.g20160728-c47c4e2_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by qemu-user-static-2.6.90.g20160728 for 
building
===>  Extracting for qemu-user-static-2.6.90.g20160728
=> SHA256 Checksum OK for 
qemu/2.6.90.g20160728/seanbruno-qemu-bsd-user-2.6.90.g20160728-c47c4e2_GH0.tar.gz.
=> SHA256 Checksum OK for qemu/2.6.90.g20160728/dtc-v1.4.0.tar.gz.
=> SHA256 Checksum OK for 
qemu/2.6.90.g20160728/seanbruno-qemu-bsd-user-2.6.90.g20160728-c47c4e2_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for qemu-user-static-2.6.90.g20160728
===>  Applying FreeBSD patches for qemu-user-static-2.6.90.g20160728
===========================================================================
=======================<phase: build-depends  >============================
===>   qemu-user-static-2.6.90.g20160728 depends on file: 
/usr/local/lib/libglib-2.0.a - not found
===>   Installing existing package /packages/All/glib-2.46.2_3.txz
[93amd64-quarterly-job-05] Installing glib-2.46.2_3...
[93amd64-quarterly-job-05] `-- Installing libiconv-1.14_9...
[93amd64-quarterly-job-05] `-- Extracting libiconv-1.14_9: .......... done
[93amd64-quarterly-job-05] `-- Installing python27-2.7.12...
[93amd64-quarterly-job-05] |   `-- Installing libffi-3.2.1...
[93amd64-quarterly-job-05] |   | `-- Installing indexinfo-0.2.5...
[93amd64-quarterly-job-05] |   | `-- Extracting indexinfo-0.2.5: .... done
[93amd64-quarterly-job-05] |   `-- Extracting libffi-3.2.1: .......... done
[93amd64-quarterly-job-05] |   `-- Installing gettext-runtime-0.19.8.1...
[93amd64-quarterly-job-05] |   `-- Extracting gettext-runtime-0.19.8.1: 
.......... done
[93amd64-quarterly-job-05] `-- Extracting python27-2.7.12: .......... done
[93amd64-quarterly-job-05] `-- Installing pcre-8.39...
[93amd64-quarterly-job-05] `-- Extracting pcre-8.39: .......... done
[93amd64-quarterly-job-05] `-- Installing perl5-5.20.3_15...
[93amd64-quarterly-job-05] `-- Extracting perl5-5.20.3_15: .......... done
[93amd64-quarterly-job-05] Extracting glib-2.46.2_3: .......... done
No schema files found: doing nothing.
Message from python27-2.7.12:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from perl5-5.20.3_15:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   qemu-user-static-2.6.90.g20160728 depends on file: 
/usr/local/lib/libglib-2.0.a - found
===>   Returning to build of qemu-user-static-2.6.90.g20160728
===>   qemu-user-static-2.6.90.g20160728 depends on executable: gmake - not 
found
===>   Installing existing package /packages/All/gmake-4.2.1_1.txz
[93amd64-quarterly-job-05] Installing gmake-4.2.1_1...
[93amd64-quarterly-job-05] Extracting gmake-4.2.1_1: .......... done
===>   qemu-user-static-2.6.90.g20160728 depends on executable: gmake - found
===>   Returning to build of qemu-user-static-2.6.90.g20160728
===>   qemu-user-static-2.6.90.g20160728 depends on package: pkgconf>=0.9.10 - 
not found
===>   Installing existing package /packages/All/pkgconf-1.0.1.txz
[93amd64-quarterly-job-05] Installing pkgconf-1.0.1...
[93amd64-quarterly-job-05] Extracting pkgconf-1.0.1: .......... done
===>   qemu-user-static-2.6.90.g20160728 depends on package: pkgconf>=0.9.10 - 
found
===>   Returning to build of qemu-user-static-2.6.90.g20160728
===>   qemu-user-static-2.6.90.g20160728 depends on executable: bison - not 
found
===>   Installing existing package /packages/All/bison-2.7.1,1.txz
[93amd64-quarterly-job-05] Installing bison-2.7.1,1...
[93amd64-quarterly-job-05] `-- Installing m4-1.4.17_1,1...
[93amd64-quarterly-job-05] `-- Extracting m4-1.4.17_1,1: .......... done
[93amd64-quarterly-job-05] Extracting bison-2.7.1,1: .......... done
===>   qemu-user-static-2.6.90.g20160728 depends on executable: bison - found
===>   Returning to build of qemu-user-static-2.6.90.g20160728
===>   qemu-user-static-2.6.90.g20160728 depends on file: 
/usr/local/bin/python2.7 - found
===>   qemu-user-static-2.6.90.g20160728 depends on executable: python2 - not 
found
===>   Installing existing package /packages/All/python2-2_3.txz
[93amd64-quarterly-job-05] Installing python2-2_3...
[93amd64-quarterly-job-05] Extracting python2-2_3: ...... done
===>   qemu-user-static-2.6.90.g20160728 depends on executable: python2 - found
===>   Returning to build of qemu-user-static-2.6.90.g20160728
===>   qemu-user-static-2.6.90.g20160728 depends on package: perl5>=5.20<5.21 - 
found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for qemu-user-static-2.6.90.g20160728

ERROR: pixman >= 0.21.8 not present. Your options:
         (1) Preferred: Install the pixman devel package (any recent
             distro should have packages as Xorg needs pixman too).
         (2) Fetch the pixman submodule, using:
             git submodule update --init pixman

===>  Script "configure" failed unexpectedly.
Please report the problem to sbr...@freebsd.org [maintainer] and attach the
"/wrkdirs/usr/ports/emulators/qemu-user-static/work/qemu-bsd-user-c47c4e2/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. a /usr/local/sbin/pkg-static info -g -Ea).
*** [do-configure] Error code 1

Stop in /usr/ports/emulators/qemu-user-static.
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to